#!/bin/bash

#==============================
SYSDIR=/etc/sysconfig
CNFDIR=/db/data

SYSFILE=mysql
CNFFILE=mysqld-auto.cnf
#==============================


Usage()
{
  echo "Usage : MDS_config.sh sys_filename cnf_filename"
  exit
}


# check args are not missed..
if [ "X" = "X$1" ]
then
  echo "MDS : error -- missed sys_filename !"
  Usage
fi

if [ "X" = "X$2" ]
then
  echo "MDS : error -- missed cnf_filename !"
  Usage
fi

# print provided args..
echo "MDS : config..."
echo "MDS : using sys => $1 "
echo "MDS : using cnf => $2 "

# check the args are valid..
if [ -f $SYSDIR/$1  ]
then
  echo "MDS : sys => ok"
else
  echo "MDS : sys => doesn't exist !!"
  Usage
fi

if [ -f $CNFDIR/$2  ]
then
  echo "MDS : cnf => ok"
else
  echo "MDS : cnf => doesn't exist !!"
  Usage
fi

# apply args config..
rm $SYSDIR/$SYSFILE ; ln -s $SYSDIR/$1 $SYSDIR/$SYSFILE
rm $CNFDIR/$CNFFILE ; ln -s $CNFDIR/$2 $CNFDIR/$CNFFILE

echo "MDS : done."
