#!/bin/bash

Usage()
{
  echo "Usage: $0 homedir"
  exit
}

# check args are not missed..
if [ "X" = "X$1" ]
then
  echo "MySQL : error -- missed homedir !"
  Usage
fi

# print provided args..
echo "MySQL : using homedir => $1 "

# check the args are valid..
if [ -d $1  ]
then
  echo "MySQL : homedir => ok"
else
  echo "MySQL : homedir => doesn't exist !!"
  Usage
fi


echo "MySQL : initializing in homedir $1 ..."
unset DYLD_LIBRARY_PATH
unset LD_LIBRARY_PATH

  cd $1
  rm -rf ./data/*

  case $1 in
    # mariadb
    #-------------------------
    *"mariadb"*)
      ./scripts/mysql_install_db --no-defaults --user=dim --datadir=./data \
      --auth-root-authentication-method=normal 2>&1
    ;;

    # mysql
    #-------------------------
    *)
      ./bin/mysqld --no-defaults --user=dim --datadir=./data --lc-messages-dir=./share \
       --default-authentication-plugin=mysql_native_password  --initialize-insecure 2>&1
    ;;
  esac

  chown -R dim ./data
  chown -R dim ./data/*

echo "MySQL : done."
