#!/bin/bash

Usage()
{
  echo "Usage: $0 homedir"
  exit
}

# check args are not missed..
if [ "X" = "X$1" ]
then
  echo "MySQL : error -- missed homedir !"
  Usage
fi

# print provided args..
echo "MySQL : using homedir => $1 "

# check the args are valid..
if [ -d $1  ]
then
  echo "MySQL : homedir => ok"
else
  echo "MySQL : homedir => doesn't exist !!"
  Usage
fi


echo "MySQL : stopping in homedir $1 ..."

cd $1
./mysql.server stop 2>&1

# wait for MySQL server to stop..
echo "MySQL : check for mysqld shutdown.. "
sleep 10

while [ -a $1/data/mysqld.pid ]
do
  echo  "MySQL : wait for mysqld shutdown.. ($1/data/mysqld.pid)"
  sleep 10
done

echo "MySQL : done."
