#!/bin/bash

Usage()
{
  echo "Usage: $0 homedir mysqld-name [my.conf [my.env]]"
  exit
}

# check args are not missed..
if [ "X" == "X$1" ]
then
  echo "MySQL : error -- missed homedir !"
  Usage
fi

if [ "X" == "X$2" ]
then
  echo "MySQL : error -- missed mysqld-name !"
  Usage
fi

# print provided args..
echo "MySQL : using homedir => $1"

# check the args are valid..
if [ -d $1  ]
then
  echo "MySQL : homedir => ok"
else
  echo "MySQL : homedir => doesn't exist !!"
  Usage
fi

if [ -f $1/bin/$2  ]
then
  echo "MySQL : mysqld-name => ok"
else
  echo "MySQL : mysqld-name => doesn't exist !!"
  Usage
fi

if [ "X" != "X$3" ]
then
  echo "MySQL : using my.conf => $3"

  if [ -f $1/$3  ]
  then
    echo "MySQL : my.conf => ok"
  else
    echo "MySQL : my.conf => doesn't exist !!"
    Usage
  fi

  echo "MySQL : switching my.conf in homedir $1 to $3 ..."

  cd $1
  rm my.conf
  ln -s $3 my.conf

fi

if [ "X" != "X$4" ]
then
  echo "MySQL : using my.env => $4"

  if [ -f $1/$4  ]
  then
    echo "MySQL : my.env => ok"
  else
    echo "MySQL : my.env => doesn't exist !!"
    Usage
  fi

  echo "MySQL : switching my.env in homedir $1 to $4 ..."

  cd $1
  rm my.env
  ln -s $4 my.env

fi

echo "MySQL : switching mysqld in homedir $1 to $2 ..."

cd $1/bin

  case $1 in
    # mariadb
    #-------------------------
    *"mariadb"*)
      rm mariadbd
      ln -s $2 mariadbd
    ;;

    # mysql
    #-------------------------
    *)
      rm mysqld
      ln -s $2 mysqld
    ;;
  esac

echo "MySQL : done."
