#!/bin/bash

Usage()
{
  echo "Usage: $0 homedir"
  exit
}

# check args are not missed..
if [ "X" = "X$1" ]
then
  echo "MySQL : error -- missed homedir !"
  Usage
fi

# print provided args..
echo "MySQL : using homedir => $1 "

# check the args are valid..
if [ -d $1  ]
then
  echo "MySQL : homedir => ok"
else
  echo "MySQL : homedir => doesn't exist !!"
  Usage
fi

echo "MySQL : adding dim-users in homedir $1 ..."
unset DYLD_LIBRARY_PATH
unset LD_LIBRARY_PATH

case $1 in
  # mariadb
  #-------------------------
  *"mariadb"*)
    $1/bin/mysql -f -uroot -S $1/data/mysql.sock  < /BMK/create_user-dim-mariadb.sql   2>&1
    $1/bin/mysql -f -uroot -S $1/data/mysql.sock  < /BMK/create_user-dim2-mariadb.sql  2>&1
  ;;

  # mysql
  #-------------------------
  *)
    $1/bin/mysql -f -uroot -S $1/data/mysql.sock  < /BMK/create_user-dim.sql   2>&1
    $1/bin/mysql -f -uroot -S $1/data/mysql.sock  < /BMK/create_user-dim2.sql  2>&1
  ;;
esac

echo "MySQL : done."
